/*
 *      $Source: /usr/local/libdata/cvs/simons/petidomo/src/htmlconf/printmainpage.c,v $
 *      $Revision: 1.8 $
 *      $Date: 1998/06/01 17:19:28 $
 *
 *      Copyright (C) 1996 by Peter Simons, Germany
 *      All rights reserved.
 */

#include <cgi.h>
#include <petidomo.h>

extern cgi_info      ci;
extern form_entry *  form_parameter;

const char petidomo_html[] = \
"<H1 ALIGN=CENTER>Petidomo 2.2 Configuration Manager</H1>\n" \
\
"<FORM METHOD=\"POST\" ACTION=\"%s\">\n" \
"<INPUT TYPE=hidden NAME=page VALUE=main>" \
\
"Welcome to Petidomo's Configuration Manager. Please enter your\n" \
"administration password, to authenticiate yourself: <BR>\n" \
\
"<CENTER>\n" \
"  <INPUT TYPE=\"password\" NAME=\"password\" SIZE=30 VALUE=\"%s\">\n" \
"</CENTER> <P>\n" \
\
"You have the following options: <BR>\n" \
\
"<CENTER>\n" \
"<TABLE>\n" \
"  <TR><TD><INPUT TYPE=radio NAME=configaction VALUE=confmain> Configure Petidomo 2.2 </TR>\n" \
"  <TR><TD><INPUT TYPE=radio NAME=configaction VALUE=conflist> Configure an existing mailing list </TR>\n" \
  "  <TR><TD><INPUT TYPE=radio NAME=configaction VALUE=newlist> Create a new mailing list </TR>\n" \
  "  <TR><TD><INPUT TYPE=radio NAME=configaction VALUE=remlist> Remove an existing mailing list </TR>\n" \
"</TABLE>\n" \
"</CENTER> <P>\n" \
\
"<INPUT TYPE=\"submit\"> <INPUT TYPE=\"reset\">\n" \
"</FORM>\n" \
"</BODY>\n" \
"</HTML>\n";

void
printMainPage(void)
{
    const char *   password;

    password = parmval(form_parameter, "password");
    printf(petidomo_html, ci.script_name, ((password) ? password : ""));
}
