/*
 *      $Source: /usr/local/libdata/cvs/simons/petidomo/src/petidomo/parsearray.c,v $
 *      $Revision: 1.7 $
 *      $Date: 1997/10/19 13:52:54 $
 *
 *      Copyright (C) 1996 by Peter Simons, Germany
 *      All rights reserved.
 */

#include "petidomo.h"

struct Parse ParseArray[] = {
    { "add", AddAddress },
    { "subscribe", AddAddress },
    { "delete", DeleteAddress },
    { "unsubscribe", DeleteAddress },
    { "remove", DeleteAddress },
    { "approve", setPassword },
    { "passwd", setPassword },
    { "password", setPassword },
    { "index", GenIndex },
    { "lists", GenIndex },
    { "longindex", GenIndex },
    { "help", SendHelp },
    { "who", SendSubscriberList },
    { "members", SendSubscriberList },
    { NULL, NULL }
};
